' Write information to a file on a Winbond Flash

CON
   winCS  = 0                    ' Winbond flash chip select
   spiDO  = 1                    ' SPI data output
   spiClk = 2                    ' SPI clock
   spiDI  = 3                    ' SPI data input
   sramCS = 4                    ' Microchip SRAM chip select

OBJ
   win : "Winbond_Driver"

DAT
beginIt:

'   file "filename.bin"

endOfIt:

PUB mainProgram | fcb0, fcb1, fcb2, fcb3, i
   win.start(winCS,spiClk,spiDI,spiDO,sramCS,-1)
   if win.flashSize == -1
      abort ' Unknown flash capacity
   ifnot win.initFile(@fcb0,string("filename.bin"))
      abort ' Invalid file name
   ifnot win.createFile(@fcb0)
      abort ' Can't create file
   repeat i from beginIt to endOfIt-1 step win#dataSize
      ifnot win.writeFile(@fcb0,i,(endOfIt-i)<#win#dataSize)
         abort ' Error writing file
